For the complete documentation index, see llms.txt. This page is also available as Markdown.

Query and Manage Entities (APIs)

get

Query managed entities

Query parameters
filterstringOptional
page[size]stringOptional
page[number]stringOptional
sortstringOptional
Responses
200

Response to /api/v1/query

application/json
record_countintegerOptional

The total number of records in the dataset. The record count may return zero if there are no records in the dataset.

page_numberintegerRequired

The number of the page within the complete dataset. This is indexed from 1.

continuationstringOptional
page_countintegerOptional

The largest page number that yield an empty page. The page count may return zero if there are no records in the dataset.

page_sizeintegerRequired

The size of page that was requested (or defaulted). This is the maximum number of records that will be returned in the page.

get/api/v1/query
GET /api/v1/query HTTP/1.1
Host: api.example.com
Accept: */*
{
  "record_count": 1,
  "page_number": 1,
  "page": [
    {
      "access_status": "text",
      "bank_account": "text",
      "country": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "reference": "text",
      "role": "CUSTOMER",
      "segment": "text",
      "state": "VALID",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "continuation": "text",
  "page_count": 1,
  "page_size": 1
}
get

Returns the number of all valid entities

Responses
200

Response to /api/v1/query/count

application/json
current_day_totalinteger · int32Required
totalinteger · int32Required
get/api/v1/query/count
GET /api/v1/query/count HTTP/1.1
Host: api.example.com
Accept: */*
{
  "count_by_role": {
    "ANY_ADDITIONAL_PROPERTY": 1
  },
  "current_day_total": 1,
  "total": 1
}

Search entities

Query parameters
filterstringOptional
page[size]stringOptional
page[number]stringOptional
sortstringOptional
Responses
200

Response to /api/v1/query/search

application/json
record_countintegerOptional

The total number of records in the dataset. The record count may return zero if there are no records in the dataset.

page_numberintegerRequired

The number of the page within the complete dataset. This is indexed from 1.

continuationstringOptional
page_countintegerOptional

The largest page number that yield an empty page. The page count may return zero if there are no records in the dataset.

page_sizeintegerRequired

The size of page that was requested (or defaulted). This is the maximum number of records that will be returned in the page.

get/api/v1/query/search
GET /api/v1/query/search HTTP/1.1
Host: api.example.com
Accept: */*
{
  "record_count": 1,
  "page_number": 1,
  "page": [
    {
      "access_status": "text",
      "bank_account": "text",
      "country": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "reference": "text",
      "role": "CUSTOMER",
      "segment": "text",
      "state": "VALID",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "continuation": "text",
  "page_count": 1,
  "page_size": 1
}

Get entity by reference

Query parameters
referencesstring[]Required
Responses
200

Response to /api/v1/search

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
get/api/v1/search
GET /api/v1/search?references=text HTTP/1.1
Host: api.example.com
Accept: */*
[
  {
    "created": "2026-01-01T00:00:00.000Z",
    "entity": {
      "affiliation": "CUSTOMER",
      "aspects": [
        {
          "aspect": {},
          "identifier": "123e4567-e89b-12d3-a456-426614174000",
          "relation": "text"
        }
      ],
      "reference": "text",
      "type": "INDIVIDUAL"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "last_modified": "2026-01-01T00:00:00.000Z",
    "reference": "text",
    "revision": 1,
    "role": "CUSTOMER",
    "state": "VALID"
  }
]
get

Get entity relationships by reference

Path parameters
refstringRequired
relationshipRolestringRequired
Responses
200

Response to /api/v1/{ref}/relationship/{relationshipRole}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
get/api/v1/{ref}/relationship/{relationshipRole}
GET /api/v1/{ref}/relationship/{relationshipRole} HTTP/1.1
Host: api.example.com
Accept: */*
[
  {
    "created": "2026-01-01T00:00:00.000Z",
    "entity": {
      "affiliation": "CUSTOMER",
      "aspects": [
        {
          "aspect": {},
          "identifier": "123e4567-e89b-12d3-a456-426614174000",
          "relation": "text"
        }
      ],
      "reference": "text",
      "type": "INDIVIDUAL"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "last_modified": "2026-01-01T00:00:00.000Z",
    "reference": "text",
    "revision": 1,
    "role": "CUSTOMER",
    "state": "VALID"
  }
]
get

Get entity by role and id

Path parameters
rolestringRequired
idstringRequired
Responses
200

Response to /api/v1/{role}/id/{id}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
get/api/v1/{role}/id/{id}
GET /api/v1/{role}/id/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}
get

Get entity by role and ref

Path parameters
rolestringRequired
refstringRequired
Responses
200

Response to /api/v1/{role}/ref/{ref}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
get/api/v1/{role}/ref/{ref}
GET /api/v1/{role}/ref/{ref} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}
get

Get entity by role and idRef

Path parameters
rolestringRequired
idRefstringRequired
Responses
200

Response to /api/v1/{role}/{idRef}

application/json
createdstring · date-timeRequired

The logical date-time at which the entity was created; this may significantly predate its initial persistence in the system in the case that the entity originates outside of the system.

idstring · uuidRequired

A globally unique identifier for the managed entity, assigned by the software subsystem that manages it.

last_modifiedstring · date-timeRequired

The date-time at which a change to the entity was last persisted. This is tracked for convenience only and should not generally form the basis for any system processing.

referencestringRequired

A reference supplied by the subsystem that requested its creation. The reference must at a minimum be unique over the declared role, but it is recommended that globally unique references are used where practical.

revisioninteger · int64Optional

A strictly monotonically increasing number that is guaranteed to increase on any change to the entity.

rolestring · enumRequired

The role of the entity in the system.

Possible values:
statestring · enumRequired

The state of the managed entity, see Managed Entity States

Possible values:
get/api/v1/{role}/{idRef}
GET /api/v1/{role}/{idRef} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "created": "2026-01-01T00:00:00.000Z",
  "entity": {
    "affiliation": "CUSTOMER",
    "aspects": [
      {
        "aspect": {},
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "relation": "text"
      }
    ],
    "reference": "text",
    "type": "INDIVIDUAL"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "last_modified": "2026-01-01T00:00:00.000Z",
  "reference": "text",
  "revision": 1,
  "role": "CUSTOMER",
  "state": "VALID"
}

Last updated